var file = {

	create: function( callback ) {

		variables.fe = {

			content: null,

			update: null

		};

		window.requestFileSystem( LocalFileSystem.PERSISTENT, 0, function( fs ) {

			variables.fs = fs;

			fs.root.getDirectory( variables.file_dir, {

				create: true

			} );

			file.get_fileentry( variables.file['update'].file, function( file_entry ) {

				variables.fe['update'] = file_entry;

				file.get_filecontent( file_entry, function( evt ) {

					try {

						Lungo.Cache.set( 'update', $.parseJSON( atob( evt.target.result ) ) );

					} catch( e ) {

					}

				} );

			} );

			file.get_fileentry( variables.file['content'].file, function( file_entry ) {

				variables.fe['content'] = file_entry;

				file.get_filecontent( file_entry, function( evt ) {

					try {

						Lungo.Cache.set( 'content', $.parseJSON( atob( evt.target.result ) ) );

					} catch( e ) {

					}

					callback();

				} );

			} );

		} );

	},

	file_exists: function( file ) {

		variables.tmp_state = 'pre';

		window.resolveLocalFileSystemURI( variables.fs.root.fullPath.indexOf( 'file://' ) != -1 ? variables.fs.root.fullPath + '/' + file : 'file://' + variables.fs.root.fullPath + '/' + variables.fs.root.fullPath + '/' + file, function() {

			alert( 'file found' );

			variables.tmp_state = 'true';

		}, function() {

			variables.tmp_state = 'false';

		} );

		// variables.fs.root.getFile( file, {

		// 	create: false,

		// }, function() {

		// 	variables.tmp_state = 'true';

		// }, function() {

		// 	variables.tmp_state = 'false';

		// } );

		return variables.tmp_state;

	},

	get_fileentry: function( file, on_success ) {

		variables.fs.root.getFile( variables.file_dir + '/' + file, {

			create: true,

			exclusive: false

		}, on_success );

	},

	get_filecontent: function( file_entry, on_success ) {

		file_entry.file( function( file ) {

			var reader = new FileReader();

			reader.onloadend = on_success;

			reader.readAsText( file );

		} );

	},

	write_filecontent: function( file_entry, data ) {

		file_entry.createWriter( function( file_writer ) {

			file_writer.write( btoa( JSON.stringify( data ) ) );

		} );

	},

	save: function( data ) {

		file.write_filecontent( variables.fe['update'], data['update'] );

		file.write_filecontent( variables.fe['content'], data['content'] );

	},

	upload_file: function( file_entry ) {

		var ft = new FileTransfer(),

			path = file_entry.fullPath,

			name = vars.file_name;

		ft.upload( file_entry.fullPath, variables.request_sync, function( result ) {

			vars.result = result;

			vars.response = result.response;

			var json_response = $.parseJSON( result.response );

		}, function( error ) {


		
		}, {

			'user_emailaddress': user_obj.data.emailaddress,

			'user_password': user_obj.data.password,

			'encrypted': 'true',

			'local_datetime': date.format(),

			'device': env['os'] == null ? 'Desktop' : env['os'].name

		} );

	}

};