var variables = {

	request_url_dev: 'http://localhost/rsg/service',

	request_url: 'http://114.111.159.61/rsg/service',

	file_dir: 'com.rsg',

	file: {

		update: {

			file: 'Pre8Re'

		},

		content: {

			file: 'Cr2qaz'

		}

	},

	request_login: '/rsg?method=login',

	request_register: '/rsg?method=register',

	request_verify: '/rsg?method=verify',

	request_reset: '/rsg?method=reset',

	request_sync: '/rsg?method=sync',

	request_report: '/report',

	roles: ['Team leader', 'First aid advisor', 'Financial/Legal advisor', 'Department Representative (e.g. Admin Sales HR)', 'Media advisor'],

	responsibilities: ['Establish what has happened', 'Assess the impact of the crisis', 'Resolve any conflicts of interest', 'Carry out the Crisis Response Plan', 'Identify and prioritise actions', 'Report updates to staff', 'Communicate with emergency services', 'Evacuate premises'],

	clock: null,

	derive: function() {

		if ( document.location.hostname != 'localhost' ) {

			this.request_login = this.request_url + this.request_login;

			this.request_register = this.request_url + this.request_register;

			this.request_sync = this.request_url + this.request_sync;

			this.request_verify = this.request_url + this.request_verify;

			this.request_reset = this.request_url + this.request_reset;

			this.request_report = this.request_url + this.request_report;

		} else {

			this.request_login = this.request_url_dev + this.request_login;

			this.request_register = this.request_url_dev + this.request_register;

			this.request_sync = this.request_url_dev + this.request_sync;

			this.request_verify = this.request_url_dev + this.request_verify;

			this.request_reset = this.request_url_dev + this.request_reset;

			this.request_report = this.request_url_dev + this.request_report;

		}

	}

};