var update = {

	init: function() {

		var update = Lungo.Cache.get( 'update' );

		if ( update.data.length > 0 ) {

			$( '.icon-sync-changes' ).removeClass( 'refresh' );

			$( '.icon-sync-changes' ).text( update.data.length );

		} else {

			$( '.icon-sync-changes' ).addClass( 'refresh' );

			$( '.icon-sync-changes' ).text( '' );

		}

		Lungo.Element.count( '.sync-changes', update.data.length );

	},

	update: function( type, method, key, data ) {

		var update_ = Lungo.Cache.get( 'update' );

		update_.data.push( {

			type: type,

			method: method,

			key: key,

			data: data

		} );

		if ( in_device ) {

			file.write_filecontent( variables.fe.content, Lungo.Cache.get( 'content' ) );

			file.write_filecontent( variables.fe.update, update_ );

		}

		switch ( type ) {

			case 'alert':

			case 'crisis_alert':

					alerts.render_( variables.clock.getTime().time / 60 );

				break;

			case 'crisis':

					init.comm();

					log.render();

				break;

		}

		Lungo.Cache.set( 'update', update_ );

		auth.init_logout();

		review.render();

		update.init();

	}

};